%define	major		13
%define libname		%mklibname archive %{major}
%define develname	%mklibname archive -d

Summary:	Library for reading and writing streaming archives
Name:		libarchive
Version:	3.5.2
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://www.libarchive.org/
Source0:	https://github.com/%{name}/%{name}/archive/refs/tags/v%{version}.tar.gz
Patch0:		libarchive-2.6.1-headers.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	libtool
BuildRequires:	sharutils
BuildRequires:	libacl-devel
BuildRequires:	libattr-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(libxml-2.0)

%description
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

%package -n	%{libname}
Summary:	Library for reading and writing streaming archives
Group:          System/Libraries

%description -n	%{libname}
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

%package -n	%{develname}
Summary:	Static library and header files for the libarchive library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{libname}-devel = %{version}
Obsoletes:	%{libname}-devel
Obsoletes:	%{mklibname archive 1}-devel
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

This package contains header files for the libarchive library.

%package -n	bsdtar
Summary:	Full-featured tar replacement built on libarchive
Group:		Archiving/Backup

%description -n	bsdtar
The bsdtar program is a full-featured tar replacement built on libarchive.

%package -n	bsdcpio
Summary:	Copy files to and from archives
Group:		Archiving/Backup

%description -n	bsdcpio
bsdcpio copies files between archives and directories. This implementation can
extract from tar, pax, cpio, zip, jar, ar, and ISO 9660 cdrom images and can
create tar, pax, cpio, ar, and shar archives.

%package -n     bsdcat
Summary:        Expand files to standard output
Group:	        Networking/Other

%description -n bsdcat
The bsdcat program typically takes a filename as an argument or reads standard
input when used in a pipe.  In both cases decompressed data it written to
standard output.


%prep
%autosetup -p1

%build
autoreconf -if
%configure \
    --disable-static \
    --with-lzo2 \
    --enable-bsdtar=shared \
    --enable-bsdcpio=shared

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n bsdtar
%attr(0755,root,root) %{_bindir}/bsdtar
%attr(0644,root,root) %{_mandir}/man1/bsdtar.1*

%files -n bsdcat
%license COPYING
%doc NEWS
%{_bindir}/bsdcat
%{_mandir}/*/bsdcat*

%files -n bsdcpio
%attr(0755,root,root) %{_bindir}/bsdcpio
%attr(0644,root,root) %{_mandir}/man1/bsdcpio.1*

%files -n %{libname}
%doc NEWS
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%attr(0755,root,root) %{_libdir}/*so
%attr(0644,root,root) %{_libdir}/pkgconfig/libarchive.pc
%attr(0644,root,root) %{_includedir}/*.h
%attr(0644,root,root) %{_mandir}/man3/*
%attr(0644,root,root) %{_mandir}/man5/*


%changelog
* Thu Sep 02 2021 ns80 <ns80> 3.5.2-1.mga8
+ Revision: 1743990
- new version 3.5.2 which fixes several security issues (mga#29431)

* Wed Dec 30 2020 luigiwalser <luigiwalser> 3.5.1-1.mga8
+ Revision: 1665881
- 3.5.1

* Sat Dec 05 2020 luigiwalser <luigiwalser> 3.5.0-1.mga8
+ Revision: 1653000
- 3.5.0

* Wed May 27 2020 luigiwalser <luigiwalser> 3.4.3-1.mga8
+ Revision: 1588100
- 3.4.3

* Tue Feb 25 2020 luigiwalser <luigiwalser> 3.4.2-1.mga8
+ Revision: 1550293
- 3.4.2

* Sat Feb 15 2020 umeabot <umeabot> 3.4.0-2.mga8
+ Revision: 1526649
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
+ tv <tv>
- use %%autosetup

* Fri Jun 14 2019 ns80 <ns80> 3.4.0-1.mga7
+ Revision: 1399930
- new version 3.4.0

* Fri Mar 15 2019 daviddavid <daviddavid> 3.3.3-4.mga7
+ Revision: 1377187
- enable lz4, zstd and lzo2 support

* Mon Feb 11 2019 luigiwalser <luigiwalser> 3.3.3-3.mga7
+ Revision: 1365194
- add upstream patches to fix CVE-2019-1000019 and CVE-2019-1000020

* Tue Jan 01 2019 luigiwalser <luigiwalser> 3.3.3-2.mga7
+ Revision: 1347905
- add patches from debian to fix CVE-2018-100087[7-9] and CVE-2018-1000880

* Tue Sep 04 2018 ns80 <ns80> 3.3.3-1.mga7
+ Revision: 1257040
- new version 3.3.3

* Mon Aug 27 2018 ns80 <ns80> 3.3.2-4.mga7
+ Revision: 1254890
- add patches for CVE-2017-1450[13] (mga#23437)

* Thu Sep 07 2017 neoclust <neoclust> 3.3.2-3.mga7
+ Revision: 1151794
- Add P2 - Fixes CVE-2017-14166 (mga#21682)

* Fri Aug 04 2017 guillomovitch <guillomovitch> 3.3.2-2.mga7
+ Revision: 1134968
- rebuild for latest openssl

* Mon Jul 17 2017 ns80 <ns80> 3.3.2-1.mga7
+ Revision: 1124054
- new version 3.3.2

* Wed Mar 01 2017 ns80 <ns80> 3.3.1-1.mga6
+ Revision: 1088366
- new version 3.3.1

* Tue Feb 21 2017 ns80 <ns80> 3.3.0-1.mga6
+ Revision: 1087189
- new version 3.3.0

* Wed Feb 01 2017 ns80 <ns80> 3.2.2-2.mga6
+ Revision: 1084473
- add patch for CVE-2017-5601 (mga#20223)

* Thu Nov 03 2016 ns80 <ns80> 3.2.2-1.mga6
+ Revision: 1064813
- Version 3.2.2 (mga#19703)

* Tue Sep 20 2016 ns80 <ns80> 3.2.1-4.mga6
+ Revision: 1054584
- add upstream patches to fix upstream security issues #747 and #761 and CVE-2016-5418 (mga#19351)

* Thu Sep 15 2016 ns80 <ns80> 3.2.1-3.mga6
+ Revision: 1053099
- add upstream patches to fix upstream security issues #731, #744, #748, #767 and #770 and CVE-2016-5418 (mga#19351)

* Thu Aug 11 2016 luigiwalser <luigiwalser> 3.2.1-2.mga6
+ Revision: 1045787
- add upstream patch to fix upstream security issue#744

* Thu Jun 23 2016 ns80 <ns80> 3.2.1-1.mga6
+ Revision: 1037232
- Version 3.2.1 (fixes CVE-2016-430[0-2], mga#18769)

* Tue May 10 2016 tv <tv> 3.2.0-1.mga6
+ Revision: 1012108
- package bsdcat
- new release
- drop merged patches

* Tue Feb 09 2016 umeabot <umeabot> 3.1.2-7.mga6
+ Revision: 952676
- Mageia 6 Mass Rebuild

* Tue May 05 2015 luigiwalser <luigiwalser> 3.1.2-6.mga5
+ Revision: 821265
- add patch from fedora to fix crash in bsdtar (rhbz#1216891)

* Thu Mar 05 2015 luigiwalser <luigiwalser> 3.1.2-5.mga5
+ Revision: 817814
- add upstream patch to fix directory traversal issue in bsdcpio

* Wed Oct 15 2014 umeabot <umeabot> 3.1.2-4.mga5
+ Revision: 750925
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.2-3.mga5
+ Revision: 681332
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.1.2-2.mga4
+ Revision: 528828
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 luigiwalser <luigiwalser> 3.1.2-1.mga4
+ Revision: 434792
- 3.1.2
- update URLs
- library major is now 13
- add BR liblzo2-devel and libxml2-devel

* Tue Apr 09 2013 luigiwalser <luigiwalser> 3.0.4-3.mga3
+ Revision: 409184
- add upstream patch to fix CVE-2013-0211

* Sat Jan 12 2013 umeabot <umeabot> 3.0.4-2.mga3
+ Revision: 356819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 luigiwalser <luigiwalser> 3.0.4-1.mga3
+ Revision: 253488
- 3.0.4
- update source URL

* Sun Jan 15 2012 fwang <fwang> 3.0.3-1.mga2
+ Revision: 196360
- new version 3.0.3

* Wed Jan 04 2012 fwang <fwang> 3.0.2-1.mga2
+ Revision: 190633
- new version 3.0.2

* Sun Oct 02 2011 fwang <fwang> 2.8.5-1.mga2
+ Revision: 150818
- new version 2.8.5

* Thu Sep 15 2011 fwang <fwang> 2.8.4-3.mga2
+ Revision: 143774
- drop .la files

* Tue Jan 11 2011 ahmad <ahmad> 2.8.4-2.mga1
+ Revision: 6193
- drop old/unneeded scriptlets
- imported package libarchive


* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 2.8.4-2mdv2011.0
+ Revision: 601637
- rebuild for new liblzma

* Mon Jul 19 2010 Emmanuel Andry <eandry@mandriva.org> 2.8.4-1mdv2011.0
+ Revision: 554969
- New version 2.8.4

* Sat Mar 20 2010 Emmanuel Andry <eandry@mandriva.org> 2.8.3-1mdv2010.1
+ Revision: 525440
- New version 2.8.3

* Sun Feb 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.0-1mdv2010.1
+ Revision: 505805
- 2.8.0

* Fri Aug 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.7.1-1mdv2010.0
+ Revision: 422034
- update to new version 2.7.1

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 2.7.0-1mdv2010.0
+ Revision: 387638
- 2.7.0
- dropped one upstream patch
- rediffed one patch
- added one patch to fix build

* Sun Mar 22 2009 Funda Wang <fwang@mandriva.org> 2.6.2-1mdv2009.1
+ Revision: 360163
- new version 2.6.2

* Sun Feb 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.6.1-1mdv2009.1
+ Revision: 336156
- 2.6.1
- new url
- reconstruct autopoo
- added a header fix patch from gentoo

* Wed Jan 21 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.6.0-2mdv2009.1
+ Revision: 332384
- use new liblzma and also add support for new xz format (P0)
- ditch useless %%buildroot != "/" check..
- properly set dynamic build of bsdtar in stead of hackishly modify the Makefile

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 2.6.0-1mdv2009.1
+ Revision: 323640
- New version 2.6.0

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.5-2mdv2009.1
+ Revision: 315553
- rebuild

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 2.5.5-1mdv2009.0
+ Revision: 237992
- BR ext2fs
- New version 2.5.5

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 31 2008 Funda Wang <fwang@mandriva.org> 2.4.17-1mdv2009.0
+ Revision: 213652
- New version 2.4.17

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.4.11-2mdv2008.1
+ Revision: 170943
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Mon Jan 21 2008 Funda Wang <fwang@mandriva.org> 2.4.11-1mdv2008.1
+ Revision: 155589
- update to new version 2.4.11

* Sun Dec 30 2007 Funda Wang <fwang@mandriva.org> 2.4.10-1mdv2008.1
+ Revision: 139575
- New version 2.4.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-1mdv2008.0
+ Revision: 66729
- 2.2.6
- new major
- conform to the 2008 specs


* Mon Jul 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.53-1mdv2007.0
- initial Mandriva package

